:root {
  --primary-color: #C33F27;
  --secondary-color: #008CFF;
  --third-color: #000000;
  --light-gray-color: #F0F0F0;
  --dark-gray-color: #171717;
  --main-font-style: 'Poppins', sans-serif;
  --content-font-style: 'Poppins', sans-serif;
  --gradient-color: linear-gradient(45deg, #DF00FF 0%, #008CFF 100%);
}

html,
body {
  height: 100%;
  width: 100%;
  font-family: var(--main-font-style);
  color: #222;
}

body {
  min-height: 100%;
  margin: 0 auto;
  padding: 0px;
  overflow-x: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}

h1,
h2,
h3,
h4,
h5,
h6,
.title {
  font-family: var(--main-font-style);
  font-size: 26px;
  font-weight: 700;
  line-height: 1em;
  margin-top: 0px;
  margin-bottom: 5px;
}

.sub-title,
.sub-title.plain {
  font-size: 20px;
  text-transform: uppercase;
  margin-top: 0px;
  font-weight: normal;
  clear: both;
  display: inline;
}

.sub-title {}

.sub-title.plain {
  text-transform: none;
  color: #202223;
}

a {
  color: #DF00FF;
  font-weight: bold;
}

a:hover {
  color: var(--dark-gray-color);
  text-decoration: none;
}

a[href^="tel:"],
a[href^="tel:"]:hover,
a[href^="tel:"]:focus {
  color: unset !important;
  text-decoration: none !important;
  cursor: text !important;
}

b,
strong {
  font-weight: 800;
}

.wrap {
  max-width: 1200px;
  width: 100%;
  margin: 0px auto;
}

.jumbotron {
  color: #FFF;
  background-color: var(--primary-color);
}

.bg-primary {
  background-color: var(--primary-color) !important;
}

.bg-light {
  background-color: #F9F9F9 !important;
}

nav {
  width: 100%;
  height: auto;
  height: 90px;
  -ms-flex: 0 0 auto;
  -webkit-box-flex: 0;
  flex: 0 0 auto;
}

nav.bg-primary.navbar-dark .navbar-nav .nav-link:hover,
body.home nav.bg-primary.navbar-dark .navbar-nav li.home > a,
body.menu nav.bg-primary.navbar-dark .navbar-nav li.menu > a,
body.about nav.bg-primary.navbar-dark .navbar-nav li.about > a,
body.contact nav.bg-primary.navbar-dark .navbar-nav li.contact > a {
  color: #FFF;
}

nav.bg-primary.navbar-light .navbar-nav .nav-link:hover,
body.home nav.bg-primary.navbar-light .navbar-nav li.home > a,
body.menu nav.bg-primary.navbar-light .navbar-nav li.menu > a,
body.about nav.bg-primary.navbar-light .navbar-nav li.about > a,
body.contact nav.bg-primary.navbar-light .navbar-nav li.contact > a {
  color: #000;
}

nav.bg-light.navbar-light .navbar-nav .nav-link:hover,
body.home nav.bg-light.navbar-light .navbar-nav li.home > a,
body.menu nav.bg-light.navbar-light .navbar-nav li.menu > a,
body.about nav.bg-light.navbar-light .navbar-nav li.about > a,
body.contact nav.bg-light.navbar-light .navbar-nav li.contact > a {
  color: var(--primary-color);
}

nav.bg-dark.navbar-light .navbar-nav .nav-link:hover,
body.home nav.bg-dark.navbar-light .navbar-nav li.home > a,
body.menu nav.bg-dark.navbar-light .navbar-nav li.menu > a,
body.about nav.bg-dark.navbar-light .navbar-nav li.about > a,
body.contact nav.bg-dark.navbar-light .navbar-nav li.contact > a {
  color: var(--primary-color);
}

nav.bg-dark.navbar-dark .navbar-nav .nav-link:hover,
body.home nav.bg-dark.navbar-dark .navbar-nav li.home > a,
body.menu nav.bg-dark.navbar-dark .navbar-nav li.menu > a,
body.about nav.bg-dark.navbar-dark .navbar-nav li.about > a,
body.contact nav.bg-dark.navbar-dark .navbar-nav li.contact > a {
  color: var(--primary-color);
}

.navbar-brand img,
.footer-brand img {
  height: 60px;
  width: auto;
}

.navbar {
  padding: .8rem;
}

.navbar-nav li {
  padding-right: 20px;
}

.nav-link {
  font-size: 1.1em !important;
}

#main-content {
  padding-top: 2rem;
  -ms-flex: 1 0 auto;
  -webkit-box-flex: 1;
  flex: 1 0 auto;
}

#slides {
  max-width: 1200px;
  height: 500px;
  margin: 0px auto;
  margin-bottom: 2rem;
}

.carousel-item {
  width: 100%;
  min-height: 500px;
  background: no-repeat center center scroll;
  background-size: cover;
}

.carousel-inner img {}

.carousel-caption {
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  bottom: auto;
}

.carousel-caption h1,
.carousel-title {
  font-weight: 700;
  font-size: 500%;
  text-transform: uppercase;
  text-shadow: 1px 1px 15px #000;
}

.carousel-caption h3 {
  font-size: 200%;
  font-weight: 500;
  text-shadow: 1px 1px 10px #000;
  padding-bottom: 1rem;
}

.carousel-indicators li:hover {
  cursor: pointer;
}

.btn-primary {
  background-color: var(--primary-color);
  border: 1px solid var(--primary-color);
}

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show > .btn-primary.dropdown-toggle,
.btn-primary:not(:disabled):not(.disabled).active:focus,
.btn-primary:not(:disabled):not(.disabled):active:focus,
.show > .btn-primary.dropdown-toggle:focus,
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active {
  color: var(--primary-color);
  background-color: #FFF;
  border: 1px solid var(--primary-color);
  -webkit-box-shadow: none;
  box-shadow: none;
}

.btn-outline-light:not(:disabled):not(.disabled).active,
.btn-outline-light:not(:disabled):not(.disabled):active,
.show > .btn-outline-light.dropdown-toggle,
.btn-outline-light:not(:disabled):not(.disabled).active:focus,
.btn-outline-light:not(:disabled):not(.disabled):active:focus,
.show > .btn-outline-light.dropdown-toggle:focus,
.btn-outline-light:hover,
.bth-outline-light:focus,
.btn-outline-light:active {
  color: var(--primary-color);
  background-color: #FFF;
  border: 1px solid var(--primary-color);
  -webkit-box-shadow: none;
  box-shadow: none;
}

.btn-outline-light.focus,
.btn-outline-light:focus {
  -webkit-box-shadow: none;
  box-shadow: none;
}

.jumbotron {
  padding: 1rem;
  border-radius: 0px;
}

.padding {
  padding-bottom: 2rem;
}

.welcome {
  width: 75%;
  margin: 0px auto;
  padding-top: 2rem;
}

.welcome hr {
  border-top: 2px solid #B4B4B4;
  width: 95%;
  margin-top: .3rem;
  margin-bottom: 1rem;
}

.card-body {
  background-color: #F9F9F9;
}

.card-title {
  position: relative;
  padding: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  -ms-flex-line-pack: center;
  align-content: center;
}

.card-title span.price {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}

.fa-code {
  color: #E54D26;
}

.fa-bold {
  color: #563D7C;
}

.fa-css3 {
  color: #2163AF;
}

.fa-code,
.fa-bold,
.fa-css3 {
  font-size: 4em;
  margin: 1rem;
}

.fun {
  width: 100%;
  margin-bottom: 2rem;
}

.gif {
  max-width: 100%;
}

.social a {
  font-size: 4.5em;
  padding: 3rem;
}

.fa-facebook {
  color: #3B5998;
}

.fa-twitter {
  color: #00ACED;
}

.fa-instagram {
  color: #517FA8;
}

.fa-youtube {
  color: #BB0000;
}

.fa-facebook:hover,
.fa-twitter:hover,
.fa-instagram:hover,
.fa-youtube:hover {
  color: #D5D5D5;
}

footer {
  -ms-flex: 0 0 auto;
  -webkit-box-flex: 0;
  flex: 0 0 auto;
  background-color: #222222;
  color: #D5D5D5;
  padding-top: 2rem;
  border-top: 10px solid var(--primary-color);
}

footer a {
  color: #FFF;
}

footer a:hover {
  color: var(--primary-color);
}

hr.light {
  border-top: 1px solid #D5D5D5;
  width: 75%;
  margin-top: .8rem;
  margin-bottom: 1rem;
}

hr.light-100 {
  border-top: 1px solid #D5D5D5;
  width: 100%;
  margin-top: .8rem;
  margin-bottom: 1rem;
}

#copyright {
  font-size: 10px;
}

.main-form {}

.form-status {
  font-size: 15px;
  color: #4BB543;
}

.form-status span {
  color: #FF0000;
}

/*---Media Queries --*/

@media (max-width: 1200px) {
  #slides {
    margin-top: -2rem;
    margin-bottom: 0em;
  }
}

@media (max-width: 992px) {
  .social a {
    font-size: 4em;
    padding: 2rem;
  }
}

@media (max-width: 768px) {
  .carousel-caption {}

  .carousel-caption h1,
  .carousel-title {
    font-size: 350%;
  }

  .carousel-caption h3 {
    font-size: 140%;
    font-weight: 400;
    padding-bottom: .2rem;
  }

  .carousel-caption .btn {
    font-size: 95%;
    padding: 8px 14px;
  }

  .display-4 {
    font-size: 200%;
  }
  .social a {
    font-size: 2.5em;
    padding: 1.2rem;
  }
}

@media (max-width: 576px) {
  nav {
    height: auto;
  }
  #slides {}
  .carousel-item {}
  .carousel-caption {}

  .carousel-caption h1,
  .carousel-title {
    font-size: 250%;
    line-height: 3rem;
  }

  .carousel-caption h3 {
    font-size: 110%;
  }

  .carousel-caption .btn {
    font-size: 90%;
    padding: 4px 8px;
  }

  .carousel-indicators {
    display: none;
  }
  .display-4 {
    font-size: 160%;
  }

  .social a {
    font-size: 2em;
    padding: .7rem;
  }
}


/*---Firefox Bug Fix --*/

.carousel-item {
  transition: -webkit-transform 0.5s ease;
  -webkit-transition: -webkit-transform 0.5s ease;
  transition: transform 0.5s ease;
  transition: transform 0.5s ease, -webkit-transform 0.5s ease;
  -webkit-backface-visibility: visible;
  backface-visibility: visible;
}

/*--- Fixed Background Image --*/

figure {
  position: relative;
  width: 100%;
  height: 60%;
  margin: 0 !important;
}

.fixed-wrap {
  clip: rect(0, auto, auto, 0);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

#fixed {
  background-image: url('../img/mac.png');
  position: fixed;
  display: block;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center center;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  will-change: transform;
}

/*--- Bootstrap Padding Fix --*/

[class*="col-"] {
  padding: 1rem;
}





/*
Extra small (xs) devices (portrait phones, less than 576px)
No media query since this is the default in Bootstrap

Small (sm) devices (landscape phones, 576px and up)
@media (min-width: 576px) { ... }

Medium (md) devices (tablets, 768px and up)
@media (min-width: 768px) { ... }

Large (lg) devices (desktops, 992px and up)
@media (min-width: 992px) { ... }

Extra (xl) large devices (large desktops, 1200px and up)
@media (min-width: 1200px) { ... }
*/
